std::__debug Namespace Reference

## Classes

class | bitset
class | deque
class | forward_list
class | list
class | map
class | multimap
class | multiset
class | set
class | unordered_map
class | unordered_multimap
class | unordered_multiset
class | unordered_set
class | vector

## Functions

template<std::size_t _Int, typename _Tp , std::size_t _Nm>
constexpr _Tp && | get (array< _Tp, _Nm > &&__arr) noexcept
template<std::size_t _Int, typename _Tp , std::size_t _Nm>
constexpr _Tp & | get (array< _Tp, _Nm > &__arr) noexcept
template<std::size_t _Int, typename _Tp , std::size_t _Nm>
constexpr const _Tp && | get (const array< _Tp, _Nm > &&__arr) noexcept
template<std::size_t _Int, typename _Tp , std::size_t _Nm>
constexpr const _Tp & | get (const array< _Tp, _Nm > &__arr) noexcept
template<typename _Tp , std::size_t _Nm>
bool | operator!= (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
template<typename _Tp , typename _Alloc >
bool | operator!= (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator!= (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | operator!= (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator!= (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator!= (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator!= (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator!= (const set< _Key, _Compare, _Allocator > &__lhs, const set< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
bool | operator!= (const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
bool | operator!= (const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >
bool | operator!= (const unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__x, const unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__y)
template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >
bool | operator!= (const unordered_set< _Value, _Hash, _Pred, _Alloc > &__x, const unordered_set< _Value, _Hash, _Pred, _Alloc > &__y)
template<typename _Tp , typename _Alloc >
bool | operator!= (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<size_t _Nb>
bitset< _Nb > | operator& (const bitset< _Nb > &__x, const bitset< _Nb > &__y) noexcept
template<typename _Tp , std::size_t _Nm>
bool | operator< (const array< _Tp, _Nm > &__a, const array< _Tp, _Nm > &__b)
template<typename _Tp , typename _Alloc >
bool | operator< (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator< (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | operator< (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator< (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator< (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator< (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator< (const set< _Key, _Compare, _Allocator > &__lhs, const set< _Key, _Compare, _Allocator > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator< (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<typename _CharT , typename _Traits , size_t _Nb>
std::basic_ostream< _CharT, _Traits > & | operator<< (std::basic_ostream< _CharT, _Traits > &__os, const bitset< _Nb > &__x)
template<typename _Tp , std::size_t _Nm>
bool | operator<= (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
template<typename _Tp , typename _Alloc >
bool | operator<= (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator<= (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | operator<= (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator<= (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator<= (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator<= (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator<= (const set< _Key, _Compare, _Allocator > &__lhs, const set< _Key, _Compare, _Allocator > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator<= (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<typename _Tp , std::size_t _Nm>
bool | operator== (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
template<typename _Tp , typename _Alloc >
bool | operator== (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator== (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | operator== (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator== (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator== (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator== (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator== (const set< _Key, _Compare, _Allocator > &__lhs, const set< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
bool | operator== (const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
bool | operator== (const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >
bool | operator== (const unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__x, const unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__y)
template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >
bool | operator== (const unordered_set< _Value, _Hash, _Pred, _Alloc > &__x, const unordered_set< _Value, _Hash, _Pred, _Alloc > &__y)
template<typename _Tp , typename _Alloc >
bool | operator== (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<typename _Tp , std::size_t _Nm>
bool | operator> (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
template<typename _Tp , typename _Alloc >
bool | operator> (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator> (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | operator> (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator> (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator> (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator> (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator> (const set< _Key, _Compare, _Allocator > &__lhs, const set< _Key, _Compare, _Allocator > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator> (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<typename _Tp , std::size_t _Nm>
bool | operator>= (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
template<typename _Tp , typename _Alloc >
bool | operator>= (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator>= (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | operator>= (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator>= (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator>= (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator>= (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator>= (const set< _Key, _Compare, _Allocator > &__lhs, const set< _Key, _Compare, _Allocator > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator>= (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<typename _CharT , typename _Traits , size_t _Nb>
std::basic_istream< _CharT, _Traits > & | operator>> (std::basic_istream< _CharT, _Traits > &__is, bitset< _Nb > &__x)
template<size_t _Nb>
bitset< _Nb > | operator^ (const bitset< _Nb > &__x, const bitset< _Nb > &__y) noexcept
template<size_t _Nb>
bitset< _Nb > | operator| (const bitset< _Nb > &__x, const bitset< _Nb > &__y) noexcept
template<typename _Tp , size_t _Nm>
enable_if<!::__array_traits< _Tp, _Nm >::_Is_swappable::value >::type | swap (array< _Tp, _Nm > &, array< _Tp, _Nm > &)=delete
template<typename _Tp , std::size_t _Nm>
void | swap (array< _Tp, _Nm > &__one, array< _Tp, _Nm > &__two) noexcept(noexcept(__one.swap(__two)))
template<typename _Tp , typename _Alloc >
void | swap (deque< _Tp, _Alloc > &__lhs, deque< _Tp, _Alloc > &__rhs) noexcept(/*conditional */)
template<typename _Tp , typename _Alloc >
void | swap (forward_list< _Tp, _Alloc > &__lx, forward_list< _Tp, _Alloc > &__ly) noexcept(noexcept(__lx.swap(__ly)))
template<typename _Tp , typename _Alloc >
void | swap (list< _Tp, _Alloc > &__lhs, list< _Tp, _Alloc > &__rhs) noexcept(/*conditional */)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
void | swap (map< _Key, _Tp, _Compare, _Allocator > &__lhs, map< _Key, _Tp, _Compare, _Allocator > &__rhs) noexcept(/*conditional */)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
void | swap (multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, multimap< _Key, _Tp, _Compare, _Allocator > &__rhs) noexcept(/*conditional */)
template<typename _Key , typename _Compare , typename _Allocator >
void | swap (multiset< _Key, _Compare, _Allocator > &__x, multiset< _Key, _Compare, _Allocator > &__y) noexcept(/*conditional */)
template<typename _Key , typename _Compare , typename _Allocator >
void | swap (set< _Key, _Compare, _Allocator > &__x, set< _Key, _Compare, _Allocator > &__y) noexcept(/*conditional */)
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
void | swap (unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__y) noexcept(noexcept(__x.swap(__y)))
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
void | swap (unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__y) noexcept(noexcept(__x.swap(__y)))
template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >
void | swap (unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__x, unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__y) noexcept(noexcept(__x.swap(__y)))
template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >
void | swap (unordered_set< _Value, _Hash, _Pred, _Alloc > &__x, unordered_set< _Value, _Hash, _Pred, _Alloc > &__y) noexcept(noexcept(__x.swap(__y)))
template<typename _Tp , typename _Alloc >
void | swap (vector< _Tp, _Alloc > &__lhs, vector< _Tp, _Alloc > &__rhs) noexcept(/*conditional */)

## Detailed Description

GNU debug code, replaces standard behavior with debug behavior.

Macros and namespaces used by the implementation outside of debug wrappers to verify certain properties. The __glibcxx_requires_xxx macros are merely wrappers around the __glibcxx_check_xxx wrappers when we are compiling with debug mode, but disappear when we are in release mode so that there is no checking performed in, e.g., the standard library algorithms.

## Function Documentation

## get() [1/4]

template<std::size_t _Int, typename _Tp , std::size_t _Nm>

constexpr _Tp && std::__debug::get | ( | array< _Tp, _Nm > && | __arr | ) |

constexpr noexcept

Definition at line 295 of file debug/array.

## get() [2/4]

template<std::size_t _Int, typename _Tp , std::size_t _Nm>

constexpr _Tp & std::__debug::get | ( | array< _Tp, _Nm > & | __arr | ) |

constexpr noexcept

Definition at line 286 of file debug/array.

## get() [3/4]

template<std::size_t _Int, typename _Tp , std::size_t _Nm>

constexpr const _Tp && std::__debug::get | ( | const array< _Tp, _Nm > && | __arr | ) |

constexpr noexcept

Definition at line 312 of file debug/array.

## get() [4/4]

template<std::size_t _Int, typename _Tp , std::size_t _Nm>

constexpr const _Tp & std::__debug::get | ( | const array< _Tp, _Nm > & | __arr | ) |

constexpr noexcept

Definition at line 303 of file debug/array.

## operator!=() [1/13]

template<typename _Tp , std::size_t _Nm>

bool std::__debug::operator!= | ( | const array< _Tp, _Nm > & | __one,
|  | const array< _Tp, _Nm > & | __two
| ) |  |

inline

Definition at line 243 of file debug/array.

## operator!=() [2/13]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator!= | ( | const deque< _Tp, _Alloc > & | __lhs,
|  | const deque< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 653 of file debug/deque.

## operator!=() [3/13]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator!= | ( | const forward_list< _Tp, _Alloc > & | __lx,
|  | const forward_list< _Tp, _Alloc > & | __ly
| ) |  |

inline protected

Definition at line 849 of file debug/forward_list.

## operator!=() [4/13]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator!= | ( | const list< _Tp, _Alloc > & | __lhs,
|  | const list< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 869 of file debug/list.

## operator!=() [5/13]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__debug::operator!= | ( | const map< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const map< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 746 of file debug/map.h.

## operator!=() [6/13]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__debug::operator!= | ( | const multimap< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const multimap< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 627 of file debug/multimap.h.

## operator!=() [7/13]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__debug::operator!= | ( | const multiset< _Key, _Compare, _Allocator > & | __lhs,
|  | const multiset< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 597 of file debug/multiset.h.

## operator!=() [8/13]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__debug::operator!= | ( | const set< _Key, _Compare, _Allocator > & | __lhs,
|  | const set< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 608 of file debug/set.h.

## operator!=() [9/13]

template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >

bool std::__debug::operator!= | ( | const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > & | __x,
|  | const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline

Definition at line 748 of file debug/unordered_map.

## operator!=() [10/13]

template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >

bool std::__debug::operator!= | ( | const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > & | __x,
|  | const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline

Definition at line 1355 of file debug/unordered_map.

## operator!=() [11/13]

template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >

bool std::__debug::operator!= | ( | const unordered_multiset< _Value, _Hash, _Pred, _Alloc > & | __x,
|  | const unordered_multiset< _Value, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline

Definition at line 1183 of file debug/unordered_set.

## operator!=() [12/13]

template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >

bool std::__debug::operator!= | ( | const unordered_set< _Value, _Hash, _Pred, _Alloc > & | __x,
|  | const unordered_set< _Value, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline

Definition at line 618 of file debug/unordered_set.

## operator!=() [13/13]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator!= | ( | const vector< _Tp, _Alloc > & | __lhs,
|  | const vector< _Tp, _Alloc > & | __rhs
| ) |  |

inline protected

Definition at line 736 of file debug/vector.

## operator&()

template<size_t _Nb>

bitset< _Nb > std::__debug::operator& | ( | const bitset< _Nb > & | __x,
|  | const bitset< _Nb > & | __y
| ) |  |

noexcept

Definition at line 386 of file debug/bitset.

## operator<() [1/9]

template<typename _Tp , std::size_t _Nm>

bool std::__debug::operator< | ( | const array< _Tp, _Nm > & | __a,
|  | const array< _Tp, _Nm > & | __b
| ) |  |

inline

Definition at line 247 of file debug/array.

## operator<() [2/9]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator< | ( | const deque< _Tp, _Alloc > & | __lhs,
|  | const deque< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 658 of file debug/deque.

## operator<() [3/9]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator< | ( | const forward_list< _Tp, _Alloc > & | __lx,
|  | const forward_list< _Tp, _Alloc > & | __ly
| ) |  |

inline protected

Definition at line 842 of file debug/forward_list.

## operator<() [4/9]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator< | ( | const list< _Tp, _Alloc > & | __lhs,
|  | const list< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 874 of file debug/list.

## operator<() [5/9]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__debug::operator< | ( | const map< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const map< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 752 of file debug/map.h.

## operator<() [6/9]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__debug::operator< | ( | const multimap< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const multimap< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 633 of file debug/multimap.h.

## operator<() [7/9]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__debug::operator< | ( | const multiset< _Key, _Compare, _Allocator > & | __lhs,
|  | const multiset< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 602 of file debug/multiset.h.

## operator<() [8/9]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__debug::operator< | ( | const set< _Key, _Compare, _Allocator > & | __lhs,
|  | const set< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 613 of file debug/set.h.

## operator<() [9/9]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator< | ( | const vector< _Tp, _Alloc > & | __lhs,
|  | const vector< _Tp, _Alloc > & | __rhs
| ) |  |

inline protected

Definition at line 741 of file debug/vector.

## operator<<()

template<typename _CharT , typename _Traits , size_t _Nb>

std::basic_ostream< _CharT, _Traits > & std::__debug::operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const bitset< _Nb > & | __x
| ) |  |

Definition at line 401 of file debug/bitset.

## operator<=() [1/9]

template<typename _Tp , std::size_t _Nm>

bool std::__debug::operator<= | ( | const array< _Tp, _Nm > & | __one,
|  | const array< _Tp, _Nm > & | __two
| ) |  |

inline

Definition at line 260 of file debug/array.

## operator<=() [2/9]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator<= | ( | const deque< _Tp, _Alloc > & | __lhs,
|  | const deque< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 664 of file debug/deque.

## operator<=() [3/9]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator<= | ( | const forward_list< _Tp, _Alloc > & | __lx,
|  | const forward_list< _Tp, _Alloc > & | __ly
| ) |  |

inline protected

Based on operator<.

Definition at line 869 of file debug/forward_list.

## operator<=() [4/9]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator<= | ( | const list< _Tp, _Alloc > & | __lhs,
|  | const list< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 880 of file debug/list.

## operator<=() [5/9]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__debug::operator<= | ( | const map< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const map< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 759 of file debug/map.h.

## operator<=() [6/9]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__debug::operator<= | ( | const multimap< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const multimap< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 640 of file debug/multimap.h.

## operator<=() [7/9]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__debug::operator<= | ( | const multiset< _Key, _Compare, _Allocator > & | __lhs,
|  | const multiset< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 608 of file debug/multiset.h.

## operator<=() [8/9]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__debug::operator<= | ( | const set< _Key, _Compare, _Allocator > & | __lhs,
|  | const set< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 619 of file debug/set.h.

## operator<=() [9/9]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator<= | ( | const vector< _Tp, _Alloc > & | __lhs,
|  | const vector< _Tp, _Alloc > & | __rhs
| ) |  |

inline protected

Definition at line 747 of file debug/vector.

## operator==() [1/13]

template<typename _Tp , std::size_t _Nm>

bool std::__debug::operator== | ( | const array< _Tp, _Nm > & | __one,
|  | const array< _Tp, _Nm > & | __two
| ) |  |

inline

Definition at line 238 of file debug/array.

## operator==() [2/13]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator== | ( | const deque< _Tp, _Alloc > & | __lhs,
|  | const deque< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 647 of file debug/deque.

## operator==() [3/13]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator== | ( | const forward_list< _Tp, _Alloc > & | __lx,
|  | const forward_list< _Tp, _Alloc > & | __ly
| ) |  |

protected

Definition at line 837 of file debug/forward_list.

## operator==() [4/13]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator== | ( | const list< _Tp, _Alloc > & | __lhs,
|  | const list< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 863 of file debug/list.

## operator==() [5/13]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__debug::operator== | ( | const map< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const map< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 739 of file debug/map.h.

## operator==() [6/13]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__debug::operator== | ( | const multimap< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const multimap< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 620 of file debug/multimap.h.

## operator==() [7/13]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__debug::operator== | ( | const multiset< _Key, _Compare, _Allocator > & | __lhs,
|  | const multiset< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 591 of file debug/multiset.h.

## operator==() [8/13]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__debug::operator== | ( | const set< _Key, _Compare, _Allocator > & | __lhs,
|  | const set< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 602 of file debug/set.h.

## operator==() [9/13]

template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >

bool std::__debug::operator== | ( | const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > & | __x,
|  | const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline

Definition at line 741 of file debug/unordered_map.

## operator==() [10/13]

template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >

bool std::__debug::operator== | ( | const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > & | __x,
|  | const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline

Definition at line 1348 of file debug/unordered_map.

## operator==() [11/13]

template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >

bool std::__debug::operator== | ( | const unordered_multiset< _Value, _Hash, _Pred, _Alloc > & | __x,
|  | const unordered_multiset< _Value, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline

Definition at line 1177 of file debug/unordered_set.

## operator==() [12/13]

template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >

bool std::__debug::operator== | ( | const unordered_set< _Value, _Hash, _Pred, _Alloc > & | __x,
|  | const unordered_set< _Value, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline

Definition at line 612 of file debug/unordered_set.

## operator==() [13/13]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator== | ( | const vector< _Tp, _Alloc > & | __lhs,
|  | const vector< _Tp, _Alloc > & | __rhs
| ) |  |

inline protected

Definition at line 730 of file debug/vector.

## operator>() [1/9]

template<typename _Tp , std::size_t _Nm>

bool std::__debug::operator> | ( | const array< _Tp, _Nm > & | __one,
|  | const array< _Tp, _Nm > & | __two
| ) |  |

inline

Definition at line 256 of file debug/array.

## operator>() [2/9]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator> | ( | const deque< _Tp, _Alloc > & | __lhs,
|  | const deque< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 677 of file debug/deque.

## operator>() [3/9]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator> | ( | const forward_list< _Tp, _Alloc > & | __lx,
|  | const forward_list< _Tp, _Alloc > & | __ly
| ) |  |

inline protected

Based on operator<.

Definition at line 856 of file debug/forward_list.

## operator>() [4/9]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator> | ( | const list< _Tp, _Alloc > & | __lhs,
|  | const list< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 893 of file debug/list.

## operator>() [5/9]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__debug::operator> | ( | const map< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const map< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 774 of file debug/map.h.

## operator>() [6/9]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__debug::operator> | ( | const multimap< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const multimap< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 655 of file debug/multimap.h.

## operator>() [7/9]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__debug::operator> | ( | const multiset< _Key, _Compare, _Allocator > & | __lhs,
|  | const multiset< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 621 of file debug/multiset.h.

## operator>() [8/9]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__debug::operator> | ( | const set< _Key, _Compare, _Allocator > & | __lhs,
|  | const set< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 632 of file debug/set.h.

## operator>() [9/9]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator> | ( | const vector< _Tp, _Alloc > & | __lhs,
|  | const vector< _Tp, _Alloc > & | __rhs
| ) |  |

inline protected

Definition at line 760 of file debug/vector.

## operator>=() [1/9]

template<typename _Tp , std::size_t _Nm>

bool std::__debug::operator>= | ( | const array< _Tp, _Nm > & | __one,
|  | const array< _Tp, _Nm > & | __two
| ) |  |

inline

Definition at line 266 of file debug/array.

## operator>=() [2/9]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator>= | ( | const deque< _Tp, _Alloc > & | __lhs,
|  | const deque< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 671 of file debug/deque.

## operator>=() [3/9]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator>= | ( | const forward_list< _Tp, _Alloc > & | __lx,
|  | const forward_list< _Tp, _Alloc > & | __ly
| ) |  |

inline protected

Based on operator<.

Definition at line 863 of file debug/forward_list.

## operator>=() [4/9]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator>= | ( | const list< _Tp, _Alloc > & | __lhs,
|  | const list< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 887 of file debug/list.

## operator>=() [5/9]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__debug::operator>= | ( | const map< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const map< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 767 of file debug/map.h.

## operator>=() [6/9]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__debug::operator>= | ( | const multimap< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const multimap< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 648 of file debug/multimap.h.

## operator>=() [7/9]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__debug::operator>= | ( | const multiset< _Key, _Compare, _Allocator > & | __lhs,
|  | const multiset< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 615 of file debug/multiset.h.

## operator>=() [8/9]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__debug::operator>= | ( | const set< _Key, _Compare, _Allocator > & | __lhs,
|  | const set< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 626 of file debug/set.h.

## operator>=() [9/9]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator>= | ( | const vector< _Tp, _Alloc > & | __lhs,
|  | const vector< _Tp, _Alloc > & | __rhs
| ) |  |

inline protected

Definition at line 754 of file debug/vector.

## operator>>()

template<typename _CharT , typename _Traits , size_t _Nb>

std::basic_istream< _CharT, _Traits > & std::__debug::operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | bitset< _Nb > & | __x
| ) |  |

Definition at line 401 of file debug/bitset.

## operator^()

template<size_t _Nb>

bitset< _Nb > std::__debug::operator^ | ( | const bitset< _Nb > & | __x,
|  | const bitset< _Nb > & | __y
| ) |  |

noexcept

Definition at line 396 of file debug/bitset.

## operator|()

template<size_t _Nb>

bitset< _Nb > std::__debug::operator| | ( | const bitset< _Nb > & | __x,
|  | const bitset< _Nb > & | __y
| ) |  |

noexcept

Definition at line 391 of file debug/bitset.

## swap() [1/14]

template<typename _Tp , size_t _Nm>

enable_if<!::__array_traits< _Tp, _Nm >::_Is_swappable::value >::type std::__debug::swap | ( | array< _Tp, _Nm > & | __one,
|  | array< _Tp, _Nm > & | __two
| ) |  |

inline delete noexcept

Definition at line 280 of file debug/array.

## swap() [2/14]

template<typename _Tp , std::size_t _Nm>

void std::__debug::swap | ( | array< _Tp, _Nm > & | __one,
|  | array< _Tp, _Nm > & | __two
| ) |  |

inline delete noexcept

Definition at line 280 of file debug/array.

## swap() [3/14]

template<typename _Tp , typename _Alloc >

void std::__debug::swap | ( | deque< _Tp, _Alloc > & | __lhs,
|  | deque< _Tp, _Alloc > & | __rhs
| ) |  |

inline noexcept

Definition at line 683 of file debug/deque.

## swap() [4/14]

template<typename _Tp , typename _Alloc >

void std::__debug::swap | ( | forward_list< _Tp, _Alloc > & | __lx,
|  | forward_list< _Tp, _Alloc > & | __ly
| ) |  |

inline protected noexcept

See std::forward_list::swap().

Definition at line 877 of file debug/forward_list.

## swap() [5/14]

template<typename _Tp , typename _Alloc >

void std::__debug::swap | ( | list< _Tp, _Alloc > & | __lhs,
|  | list< _Tp, _Alloc > & | __rhs
| ) |  |

inline noexcept

Definition at line 899 of file debug/list.

## swap() [6/14]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

void std::__debug::swap | ( | map< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | map< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline noexcept

Definition at line 781 of file debug/map.h.

## swap() [7/14]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

void std::__debug::swap | ( | multimap< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | multimap< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline noexcept

Definition at line 662 of file debug/multimap.h.

## swap() [8/14]

template<typename _Key , typename _Compare , typename _Allocator >

void std::__debug::swap | ( | multiset< _Key, _Compare, _Allocator > & | __x,
|  | multiset< _Key, _Compare, _Allocator > & | __y
| ) |  |

noexcept

Definition at line 627 of file debug/multiset.h.

## swap() [9/14]

template<typename _Key , typename _Compare , typename _Allocator >

void std::__debug::swap | ( | set< _Key, _Compare, _Allocator > & | __x,
|  | set< _Key, _Compare, _Allocator > & | __y
| ) |  |

noexcept

Definition at line 638 of file debug/set.h.

## swap() [10/14]

template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >

void std::__debug::swap | ( | unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > & | __x,
|  | unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline noexcept

Definition at line 733 of file debug/unordered_map.

## swap() [11/14]

template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >

void std::__debug::swap | ( | unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > & | __x,
|  | unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline noexcept

Definition at line 1340 of file debug/unordered_map.

## swap() [12/14]

template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >

void std::__debug::swap | ( | unordered_multiset< _Value, _Hash, _Pred, _Alloc > & | __x,
|  | unordered_multiset< _Value, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline noexcept

Definition at line 1170 of file debug/unordered_set.

## swap() [13/14]

template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >

void std::__debug::swap | ( | unordered_set< _Value, _Hash, _Pred, _Alloc > & | __x,
|  | unordered_set< _Value, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline noexcept

Definition at line 605 of file debug/unordered_set.

## swap() [14/14]

template<typename _Tp , typename _Alloc >

void std::__debug::swap | ( | vector< _Tp, _Alloc > & | __lhs,
|  | vector< _Tp, _Alloc > & | __rhs
| ) |  |

inline protected noexcept

Definition at line 766 of file debug/vector.